[solved] avoiding ogre dependency

Everything about development and the OpenMW source code.
Post Reply
tarsis
Posts: 9
Joined: 27 Oct 2015, 21:10

[solved] avoiding ogre dependency

Post by tarsis » 26 Mar 2016, 15:40

hello,

by looking at the code i learned that i *have* to build mygui before building openmw, there is no way around.

mygui itself needs ogre, which is a fat dependency given the fact that openmw itself uses openscenegraph for rendering now. so actually one has to install two rendering engines.

are there any plans for the past 1.0 era to change this (meaning: getting rid of the mygui/ogre dependency)?
Last edited by tarsis on 26 Mar 2016, 16:19, edited 1 time in total.

User avatar
psi29a
Posts: 4987
Joined: 29 Sep 2011, 10:13
Location: Belgium
Gitlab profile: https://gitlab.com/psi29a/
Contact:

Re: avoiding ogre dependency

Post by psi29a » 26 Mar 2016, 15:50

This is a mygui problem and not an openmw problem.

That being said, have you tried building mygui without ogre? In theory all you need is just the opengl plugin which is what openmw uses.

http://mygui.info/
https://github.com/MyGUI/mygui

tarsis
Posts: 9
Joined: 27 Oct 2015, 21:10

Re: avoiding ogre dependency

Post by tarsis » 26 Mar 2016, 16:18


Post Reply